Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class PersonNamePartAffixTypes

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.PersonNamePartAffixTypes

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class PersonNamePartAffixTypes

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Person Name Part Affix Types', and utility methods for working with them. abstDomain: V10666 (C-0-D15888-V10659-V10666-cpt)

See Also:
  `CDAR2Package.getPersonNamePartAffixTypes()`

Field Summary
`static int` | `AC` The 'AC' literal value.
`static PersonNamePartAffixTypes` | `AC_LITERAL` The 'AC' literal object.
`static int` | `NB` The 'NB' literal value.
`static PersonNamePartAffixTypes` | `NB_LITERAL` The 'NB' literal object.
`static int` | `PR` The 'PR' literal value.
`static PersonNamePartAffixTypes` | `PR_LITERAL` The 'PR' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Person Name Part Affix Types' enumerators.
`static int` | `VV` The 'VV' literal value.
`static PersonNamePartAffixTypes` | `VV_LITERAL` The 'VV' literal object.

Method Summary
`static PersonNamePartAffixTypes` | `get(int value)` Returns the 'Person Name Part Affix Types' literal with the specified integer value.
`static PersonNamePartAffixTypes` | `get(java.lang.String literal)` Returns the 'Person Name Part Affix Types' literal with the specified literal value.
`static PersonNamePartAffixTypes` | `getByName(java.lang.String name)` Returns the 'Person Name Part Affix Types' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AC

    public static final int AC

  The 'AC' literal value.

  If the meaning of 'AC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AC_LITERAL`, Constant Field Values

### NB

    public static final int NB

  The 'NB' literal value.

  If the meaning of 'NB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NB_LITERAL`, Constant Field Values

### PR

    public static final int PR

  The 'PR' literal value.

  If the meaning of 'PR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PR_LITERAL`, Constant Field Values

### VV

    public static final int VV

  The 'VV' literal value.

  If the meaning of 'VV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VV_LITERAL`, Constant Field Values

### AC_LITERAL

    public static final PersonNamePartAffixTypes AC_LITERAL

  The 'AC' literal object.

  See Also:
    `AC`

### NB_LITERAL

    public static final PersonNamePartAffixTypes NB_LITERAL

  The 'NB' literal object.

  See Also:
    `NB`

### PR_LITERAL

    public static final PersonNamePartAffixTypes PR_LITERAL

  The 'PR' literal object.

  See Also:
    `PR`

### VV_LITERAL

    public static final PersonNamePartAffixTypes VV_LITERAL

  The 'VV' literal object.

  See Also:
    `VV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Person Name Part Affix Types' enumerators.

Method Detail

### get

    public static PersonNamePartAffixTypes get(java.lang.String literal)

  Returns the 'Person Name Part Affix Types' literal with the specified literal value.

### getByName

    public static PersonNamePartAffixTypes getByName(java.lang.String name)

  Returns the 'Person Name Part Affix Types' literal with the specified name.

### get

    public static PersonNamePartAffixTypes get(int value)

  Returns the 'Person Name Part Affix Types' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD